﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[EVTHDR]') AND name = N'XEVTHDR1')
BEGIN 
PRINT 'Creating index XEVTHDR1 on table EVTHDR'
CREATE UNIQUE NONCLUSTERED INDEX [XEVTHDR1] ON [dbo].[EVTHDR] 
(
	[PRIO] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTHDR' AND COLUMN_NAME = 'DACT1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTHDR_DACT1')
BEGIN 
    PRINT 'Creating default constraint DF_EVTHDR_DACT1 on table EVTHDR' 
    ALTER TABLE [dbo].[EVTHDR]
    ADD CONSTRAINT [DF_EVTHDR_DACT1] DEFAULT ((0)) FOR [DACT1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTHDR' AND COLUMN_NAME = 'DACT2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTHDR_DACT2')
BEGIN 
    PRINT 'Creating default constraint DF_EVTHDR_DACT2 on table EVTHDR' 
    ALTER TABLE [dbo].[EVTHDR]
    ADD CONSTRAINT [DF_EVTHDR_DACT2] DEFAULT ((0)) FOR [DACT2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTHDR' AND COLUMN_NAME = 'DACT3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTHDR_DACT3')
BEGIN 
    PRINT 'Creating default constraint DF_EVTHDR_DACT3 on table EVTHDR' 
    ALTER TABLE [dbo].[EVTHDR]
    ADD CONSTRAINT [DF_EVTHDR_DACT3] DEFAULT ((0)) FOR [DACT3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTHDR' AND COLUMN_NAME = 'DACT4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTHDR_DACT4')
BEGIN 
    PRINT 'Creating default constraint DF_EVTHDR_DACT4 on table EVTHDR' 
    ALTER TABLE [dbo].[EVTHDR]
    ADD CONSTRAINT [DF_EVTHDR_DACT4] DEFAULT ((0)) FOR [DACT4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTHDR' AND COLUMN_NAME = 'DACT5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTHDR_DACT5')
BEGIN 
    PRINT 'Creating default constraint DF_EVTHDR_DACT5 on table EVTHDR' 
    ALTER TABLE [dbo].[EVTHDR]
    ADD CONSTRAINT [DF_EVTHDR_DACT5] DEFAULT ((0)) FOR [DACT5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTHDR' AND COLUMN_NAME = 'DACT6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTHDR_DACT6')
BEGIN 
    PRINT 'Creating default constraint DF_EVTHDR_DACT6 on table EVTHDR' 
    ALTER TABLE [dbo].[EVTHDR]
    ADD CONSTRAINT [DF_EVTHDR_DACT6] DEFAULT ((0)) FOR [DACT6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTHDR' AND COLUMN_NAME = 'DACT7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTHDR_DACT7')
BEGIN 
    PRINT 'Creating default constraint DF_EVTHDR_DACT7 on table EVTHDR' 
    ALTER TABLE [dbo].[EVTHDR]
    ADD CONSTRAINT [DF_EVTHDR_DACT7] DEFAULT ((0)) FOR [DACT7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTHDR' AND COLUMN_NAME = 'IDEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTHDR_IDEL')
BEGIN 
    PRINT 'Creating default constraint DF_EVTHDR_IDEL on table EVTHDR' 
    ALTER TABLE [dbo].[EVTHDR]
    ADD CONSTRAINT [DF_EVTHDR_IDEL] DEFAULT ((0)) FOR [IDEL]
END 
GO

